function [c, ceq,DC,DCeq] = confuneq(X)

global N M beta CbEVPrime TransProbPrime;

[CbEV, EV, TransProb, thetaProbs, RC]  = DefVar(X);

%#
%#  Bellman equation for states below N-M
indices = repmat((1:N)',1,M)+repmat((1:M),N,1)-1;
CbEV(N+1:N+M)=CbEV(N);

s1 = exp(CbEV(indices));
s2 = exp(-RC+CbEV(1));
s =  s1 + s2;
logs = log(s);
BellmanViola = logs * TransProb - EV;

% Nonlinear inequality constraints
c = [];
% Nonlinear equality constraints
%ceq = [BellmanViola probSum];
ceq = BellmanViola;

if nargout > 2
    DC= [];
    
    Rprime = zeros(1,6+N);
    Rprime(6)=-1;
    Rprime(7)=beta;
    
    %derivative of log(s)
    
    % s1Prime = CbEVPrime(indices);

    d1 = ((CbEVPrime.*repmat(exp(CbEV),1,length(X)) + exp(-RC+CbEV(1))*repmat(Rprime,N+M,1)))./(repmat(exp(CbEV)+exp(-RC+CbEV(1)),1,length(X)));
       
    sum1 =  reshape(sum(reshape(d1(indices',:) .* repmat(repmat(TransProb,N,1),1,length(X)),M,N, length(X) )),N,length(X)); 
    
    sum2 = logs*TransProbPrime';

    EVPrime = [zeros(N,6) eye(N)];
    
    DCeq = sum1 + sum2 - EVPrime;
    
    DCeq = DCeq';

end

end