function c = GMMMPEC_c(x0)

% GMMMPEC_c
% Constraints for the random coefficients Logit estimated via MPEC.
%
% source: Dube, Fox and Su (2009)
% Code Revised: March 2009


global x IV K prods T v x

theta1 = x0(1:K+1, 1);                      % mean tastes
theta2 = x0(K+2:2*K+2, 1);                  % st. deviation of tastes
delta = x0(2*K+3:2*K+2+T*prods, 1);         % mean utilities
g = x0(2*K+3+T*prods:end, 1);               % moment condition values

cong = g - IV'*(delta - x*theta1);          % constraints on moment conditions

for i = 1:K+1,
    nu(i,:) = theta2(i)*v(i,:);
end
MU = x*nu;
expmu = exp(MU);                            % Exponentiated deviations from the mean utility
expmeanval = exp(delta);
logEstShares = log(ind_shnorm(expmeanval,expmu)); % constraints on predicted shares  

c = [logEstShares ;
     cong ];
